Batch Real-Time Depth
Batch real-time order book depth data for multiple cryptocurrency trading pairs in bulk. Returns the complete buy and sell order book for each trading pair, including multiple price levels and order quantities. Updated at millisecond intervals.
GET
/crypto/depthsRequest Parameters
regionenumRequiredMarket code
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
aarray(object)▶Ask orders
pointegerLevel
pnumberPrice
vnumberOrder volume
onumberOrder count
barray(object)▶Bid orders
pointegerLevel
pnumberPrice
vnumberOrder volume
onumberOrder count
Code Examples
import requests
url = "https://api.itick.org/crypto/depths?region=BA&codes=BTCUSDT,ETHUSDT"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/crypto/depths?region=BA&codes=BTCUSDT,ETHUSDT, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"BTCUSDT": {
"s": "BTCUSDT",
"a": [
{
"po": 1,
"p": 116137.19,
"v": 0.18474,
"o": 0.18474
},
{
"po": 2,
"p": 116137.2,
"v": 0.0006,
"o": 0.0006
},
{
"po": 3,
"p": 116137.4,
"v": 0.00005,
"o": 0.00005
},
{
"po": 4,
"p": 116137.49,
"v": 0.00005,
"o": 0.00005
},
{
"po": 5,
"p": 116138,
"v": 0.00005,
"o": 0.00005
}
],
"b": [
{
"po": 1,
"p": 116137.18,
"v": 8.24124,
"o": 8.24124
},
{
"po": 2,
"p": 116136,
"v": 0.05295,
"o": 0.05295
},
{
"po": 3,
"p": 116135.42,
"v": 0.00042,
"o": 0.00042
},
{
"po": 4,
"p": 116134.52,
"v": 0.31005,
"o": 0.31005
},
{
"po": 5,
"p": 116134.15,
"v": 0.00005,
"o": 0.00005
}
]
},
"ETHUSDT": {
"s": "ETHUSDT",
"a": [
{
"po": 1,
"p": 3811.26,
"v": 27.1743,
"o": 27.1743
},
{
"po": 2,
"p": 3811.27,
"v": 0.4375,
"o": 0.4375
},
{
"po": 3,
"p": 3811.28,
"v": 0.0241,
"o": 0.0241
},
{
"po": 4,
"p": 3811.29,
"v": 0.0014,
"o": 0.0014
},
{
"po": 5,
"p": 3811.3,
"v": 0.0382,
"o": 0.0382
}
],
"b": [
{
"po": 1,
"p": 3811.25,
"v": 132.6926,
"o": 132.6926
},
{
"po": 2,
"p": 3811.24,
"v": 2.0021,
"o": 2.0021
},
{
"po": 3,
"p": 3811.05,
"v": 4,
"o": 4
},
{
"po": 4,
"p": 3811.03,
"v": 1.6119,
"o": 1.6119
},
{
"po": 5,
"p": 3810.99,
"v": 12,
"o": 12
}
]
}
}
}